package com.kingdee.eas.custom.recuritment.task;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.custom.recuritment.task.*;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class RecruitLeaderSyncFacade extends AbstractBizCtrl implements IRecruitLeaderSyncFacade
{
    public RecruitLeaderSyncFacade()
    {
        super();
        registerInterface(IRecruitLeaderSyncFacade.class, this);
    }
    public RecruitLeaderSyncFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IRecruitLeaderSyncFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("F2150343");
    }
    private RecruitLeaderSyncFacadeController getController() throws BOSException
    {
        return (RecruitLeaderSyncFacadeController)getBizController();
    }
    /**
     *同步招聘负责人-User defined method
     *@param billIds 单据ID
     */
    public void syncAllRecruitLeader(String billIds) throws BOSException, EASBizException
    {
        try {
            getController().syncAllRecruitLeader(getContext(), billIds);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}